import requests
from api_auth import APICredentials, APIParams 
 
class DRMPolicy:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Retrieve a DRM policy.
        """
        self._get_drm_policy()
 
    def _get_drm_policy(self):
        policy_id = 'abcdef123456ghijkl7890123mno456'
        url = "{}{}{}".format(self.host, "/api/v3/drm/policy/", policy_id)
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
DRMPolicy().run()